Subject: bug#23331: 25.0.92; Cannot create temporary file ending in a period on OS X

From: Alan Third <[email-masked]>
Date: Tue, 19 Jul 2016 22:47:07 +0100

On Tue, Jul 19, 2016 at 01:03:59PM -0700, John Wiegley wrote:
> >>>>> Alan Third <[email-masked]> writes:
> 
> > I feel a bit weird about this, but I still can't reproduce it and it's been
> > over seven weeks with no response, so I'm inclined to close the bug.
> 
> Still happens reliably here, and based on bug reports on GitHub, others are
> experiencing it as well.  It doesn't happen in 24.

Is there anything else involved? I’m only doing:

    Emacs -Q

    M-: (make-temp-name "index.magit.") RET

Can you try either running in a debugger and finding out what the
‘data’ variable contains at line 716 of fileio.c (just before
‘if (!check_existing (data))’), or putting something like:

    printf("filename: %s\n", data);

on that same line?

The make_temp_name function generates a name and then tests to see if
it already exists and it’s this test that’s throwing up the error. My
first thought is that it’s possible that it’s generating an invalid
file name, so it would be good to see exactly what that name is.

Also, what’s the PWD?

Thanks!
-- 
Alan Third